# OpenFileInfo Struct Reference
[RPMBUILD.]

`#include <rpmspec.h>`

## Data Fields

const char * | fileName
FD_t | fd
int | lineNum
char | readBuf [BUFSIZ]
char * | readPtr
OpenFileInfo * | next

## Field Documentation

FD_t OpenFileInfo::fd

| Definition at line 54 of file rpmspec.h. Referenced by closeSpec(), and readLine().

const char* OpenFileInfo::fileName

| Definition at line 53 of file rpmspec.h. Referenced by closeSpec(), forceIncludeFile(), freeSpec(), parseSpec(), and readLine().

int OpenFileInfo::lineNum

| Definition at line 55 of file rpmspec.h. Referenced by readLine().

struct OpenFileInfo* OpenFileInfo::next

| Definition at line 60 of file rpmspec.h. Referenced by closeSpec(), forceIncludeFile(), freeSpec(), and readLine().

char OpenFileInfo::readBuf[BUFSIZ]

| Definition at line 56 of file rpmspec.h. Referenced by readLine().

char* OpenFileInfo::readPtr

| Definition at line 58 of file rpmspec.h. Referenced by copyNextLine(), and readLine().

The documentation for this struct was generated from the following file:

- build/rpmspec.h